package com.zswl.dataservicestarter.service;

import com.zswl.dataservicestarter.dao.DataServiceOrderInfoDao;
import com.zswl.dataservicestarter.domain.DataServiceOrderInfo;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 订单信息 管理
 *
 * @author TRX
 * @date 2024/3/25
 */
@Service
public class DataServiceOrderInfoService {

    @Autowired
    DataServiceOrderInfoDao orderInfoDao;

    /**
     * 更加HashCode验证支付信息是否存在
     *
     * @param hashCode
     * @return
     */
    public ResultContent validateDataByHashCode(int hashCode) {
        DataServiceOrderInfo orderInfo = orderInfoDao.findTopByHashCode(hashCode);
        if (ObjectUtils.isEmpty(orderInfo)) {
            return ResultContent.buildFail("对应数据未找到");
        }
        return ResultContent.buildSuccess();
    }

    /**
     * 更加dataId验证支付信息是否存在
     *
     * @param dataId
     * @return
     */
    public ResultContent validateDataByDataId(String dataId) {
        DataServiceOrderInfo orderInfo = orderInfoDao.findTopByDataId(dataId);
        if (ObjectUtils.isEmpty(orderInfo)) {
            return ResultContent.buildFail("对应数据未找到");
        }
        return ResultContent.buildSuccess();
    }

    /**
     * 编辑信息是否同步到平台
     *
     * @param dataId
     * @return
     */
    public ResultContent markSyncPlatform(String dataId) {
        int a = 100;
        return ResultContent.buildSuccess();
    }

}
